<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">NetworkService Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classNetworkService.html">NetworkService</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classNetworkService.html#a902ac1cc48a670802152f778b567ad0d">GET</a>(const std::string &amp;url, const std::unordered_map&lt; std::string, std::string &gt; &amp;params={}, const std::unordered_map&lt; std::string, std::string &gt; &amp;headers={})</td><td class="entry"><a class="el" href="classNetworkService.html">NetworkService</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classNetworkService.html#af73052724a162e5f4c33375f94ac4bfd">getInstance</a>()</td><td class="entry"><a class="el" href="classNetworkService.html">NetworkService</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classNetworkService.html#ae37f04d34a43632252cb6bb153b38caf">NetworkService</a>()</td><td class="entry"><a class="el" href="classNetworkService.html">NetworkService</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classNetworkService.html#a622ad41d140fd68bb104cd4ba197c140">NetworkService</a>(NetworkService const &amp;)=delete</td><td class="entry"><a class="el" href="classNetworkService.html">NetworkService</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classNetworkService.html#a19db659744f2d05d7fea8488b5dd1fda">operator=</a>(NetworkService const &amp;)=delete</td><td class="entry"><a class="el" href="classNetworkService.html">NetworkService</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classNetworkService.html#acb7482a6e8ac040419fb8508784623c5">POST</a>(const std::string &amp;url, const std::string &amp;data, const std::unordered_map&lt; std::string, std::string &gt; &amp;headers={})</td><td class="entry"><a class="el" href="classNetworkService.html">NetworkService</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classNetworkService.html#afda8c2c8daf9ed41b1f9a0bfba7be494">responseCode_</a></td><td class="entry"><a class="el" href="classNetworkService.html">NetworkService</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classNetworkService.html#aead3be14e1aabce8cb4b0c33ddcff5e8">responseContent</a>()</td><td class="entry"><a class="el" href="classNetworkService.html">NetworkService</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classNetworkService.html#a1b7133d3f4c6bb114c468d04707642e9">responseData_</a></td><td class="entry"><a class="el" href="classNetworkService.html">NetworkService</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classNetworkService.html#af230de68dcc9ce070e598e1dea3d588a">responseErrorBuffer_</a></td><td class="entry"><a class="el" href="classNetworkService.html">NetworkService</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classNetworkService.html#aca0f70d536f7bbd7a035ba91a150684a">responseWriteCallback</a>(void *data, size_t size, size_t nmemb, void *userData)</td><td class="entry"><a class="el" href="classNetworkService.html">NetworkService</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr><td class="entry"><a class="el" href="classNetworkService.html#a0bb4fa9cf5c662a222d84b22c7c658a8">statusCode</a>()</td><td class="entry"><a class="el" href="classNetworkService.html">NetworkService</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classNetworkService.html#acf48498e52a529b97919d91934c5bfe1">test</a>()</td><td class="entry"><a class="el" href="classNetworkService.html">NetworkService</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classNetworkService.html#a943a2b8f1ea776592ca4862f8c9f9d15">~NetworkService</a>()</td><td class="entry"><a class="el" href="classNetworkService.html">NetworkService</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
